---
title: WEBGL_color_buffer_float
slug: Web/API/WEBGL_color_buffer_float
tags:
  - API
  - Reference
  - WebGL
  - WebGL extension
---
<div>{{APIRef("WebGL")}}</div>

<p>The <code><strong>WEBGL_color_buffer_float</strong></code> extension is part of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> and adds the ability to render to 32-bit floating-point color buffers.</p>

<p>WebGL extensions are available using the {{domxref("WebGLRenderingContext.getExtension()")}} method. For more information, see also <a href="/en-US/docs/Web/API/WebGL_API/Using_Extensions">Using Extensions</a> in the <a href="/en-US/docs/Web/API/WebGL_API/Tutorial">WebGL tutorial</a>.</p>

<div class="note">
<p><strong>Availability:</strong> This extension is available to {{domxref("WebGLRenderingContext", "WebGL 1", "", 1)}} contexts only. For {{domxref("WebGL2RenderingContext", "WebGL 2", "", 1)}}, use the {{domxref("EXT_color_buffer_float")}} extension.</p>

<p>The {{domxref("OES_texture_float")}} extension implicitly enables this extension.</p>
</div>

<h2 id="Constants">Constants</h2>

<dl>
 <dt><code>ext.RGBA32F_EXT</code></dt>
 <dd>RGBA 32-bit floating-point color-renderable format.</dd>
 <dt><code>ext.RGB32F_EXT</code> ({{deprecated_inline}})</dt>
 <dd>RGB 32-bit floating-point color-renderable format.</dd>
 <dt><code>ext.FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT</code></dt>
 <dd>?</dd>
 <dt><code>ext.UNSIGNED_NORMALIZED_EXT</code></dt>
 <dd>?</dd>
</dl>

<h2 id="Extended_methods">Extended methods</h2>

<p>This extension extends {{domxref("WebGLRenderingContext.renderbufferStorage()")}}:</p>

<ul>
 <li>The <code>internalformat</code> parameter now accepts <code>ext.RGBA32F_EXT</code> and <code>ext.RGB32F_EXT</code> ({{deprecated_inline}}).</li>
</ul>

<h2 id="Examples">Examples</h2>

<pre class="brush:js">var ext = gl.getExtension('WEBGL_color_buffer_float');

gl.renderbufferStorage(gl.RENDERBUFFER, ext.RBGA32F_EXT, 256, 256);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WEBGL_color_buffer_float', "", "WEBGL_color_buffer_float")}}</td>
   <td>{{Spec2('WEBGL_color_buffer_float')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WEBGL_color_buffer_float")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getExtension()")}}</li>
 <li>{{domxref("WebGLRenderingContext.renderbufferStorage()")}}</li>
 <li>{{domxref("OES_texture_float")}}</li>
</ul>
